set define off
set verify off
set feedback off
WHENEVER SQLERROR EXIT SQL.SQLCODE ROLLBACK
begin wwv_flow.g_import_in_progress := true; end;
/
 
--       AAAA       PPPPP   EEEEEE  XX      XX
--      AA  AA      PP  PP  EE       XX    XX
--     AA    AA     PP  PP  EE        XX  XX
--    AAAAAAAAAA    PPPPP   EEEE       XXXX
--   AA        AA   PP      EE        XX  XX
--  AA          AA  PP      EE       XX    XX
--  AA          AA  PP      EEEEEE  XX      XX
begin
select value into wwv_flow_api.g_nls_numeric_chars from nls_session_parameters where parameter='NLS_NUMERIC_CHARACTERS';
execute immediate 'alter session set nls_numeric_characters=''.,''';
end;
/
prompt  WORKSPACE 2420432708616257
--
-- Workspace, User Group, User, and Team Development Export:
--   Date and Time:   13:50 Thursday December 11, 2014
--   Exported By:     MAGYAR
--   Export Type:     Workspace Export
--   Version:         4.2.6.00.03
--   Instance ID:     61905484392730
--
-- Import:
--   Using Instance Administration / Manage Workspaces
--   or
--   Using SQL*Plus as the Oracle user APEX_040200
 
begin
    wwv_flow_api.set_security_group_id(p_security_group_id=>2420432708616257);
end;
/
----------------
-- W O R K S P A C E
-- Creating a workspace will not create database schemas or objects.
-- This API creates only the meta data for this APEX workspace
prompt  Creating workspace HASZNALTAUTO...
begin
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
end;
/
begin
wwv_flow_fnd_user_api.create_company (
  p_id => 2420518964616312
 ,p_provisioning_company_id => 2420432708616257
 ,p_short_name => 'HASZNALTAUTO'
 ,p_display_name => 'HASZNALTAUTO'
 ,p_first_schema_provisioned => 'MAGYAR'
 ,p_company_schemas => 'MAGYAR'
 ,p_ws_schema => 'MAGYAR'
 ,p_account_status => 'ASSIGNED'
 ,p_allow_plsql_editing => 'Y'
 ,p_allow_app_building_yn => 'Y'
 ,p_allow_sql_workshop_yn => 'Y'
 ,p_allow_websheet_dev_yn => 'Y'
 ,p_allow_team_development_yn => 'Y'
 ,p_allow_to_be_purged_yn => 'Y'
 ,p_allow_restful_services_yn => 'Y'
 ,p_source_identifier => 'HASZNALT'
 ,p_path_prefix => 'HASZNALTAUTO'
 ,p_workspace_image => wwv_flow_api.g_varchar2_table
);
end;
/
----------------
-- G R O U P S
--
prompt  Creating Groups...
begin
wwv_flow_fnd_user_api.create_user_group (
  p_id => 2562503276672164,
  p_GROUP_NAME => 'Fejleszto',
  p_SECURITY_GROUP_ID => 2420432708616257,
  p_GROUP_DESC => '');
end;
/
begin
wwv_flow_fnd_user_api.create_user_group (
  p_id => 2562605700672890,
  p_GROUP_NAME => 'Vegfelhasznalo',
  p_SECURITY_GROUP_ID => 2420432708616257,
  p_GROUP_DESC => '');
end;
/
begin
wwv_flow_fnd_user_api.create_user_group (
  p_id => 2562400159671272,
  p_GROUP_NAME => 'Vezeto',
  p_SECURITY_GROUP_ID => 2420432708616257,
  p_GROUP_DESC => '');
end;
/
----------------
-- U S E R S
-- User repository for use with APEX cookie-based authentication.
--
prompt  Creating Users...
begin
wwv_flow_fnd_user_api.create_fnd_user (
  p_user_id      => '2561306608663664',
  p_user_name    => 'FEJLESZTO',
  p_first_name   => 'fejleszto',
  p_last_name    => 'fejleszto',
  p_description  => '',
  p_email_address=> 'fejleszto@mail.com',
  p_web_password => 'CB564913968E65B54FA15EA9875FCD78',
  p_web_password_format => 'HEX_ENCODED_DIGEST_V2',
  p_group_ids                    => '2562503276672164:',
  p_developer_privs              => 'CREATE:EDIT:HELP:MONITOR:SQL:MONITOR:DATA_LOADER',
  p_default_schema               => 'MAGYAR',
  p_account_locked               => 'N',
  p_account_expiry               => to_date('201411210000','YYYYMMDDHH24MI'),
  p_failed_access_attempts       => 0,
  p_change_password_on_first_use => 'N',
  p_first_password_use_occurred  => 'N',
  p_allow_app_building_yn        => 'Y',
  p_allow_sql_workshop_yn        => 'Y',
  p_allow_websheet_dev_yn        => 'Y',
  p_allow_team_development_yn    => 'Y',
  p_allow_access_to_schemas      => '');
end;
/
begin
wwv_flow_fnd_user_api.create_fnd_user (
  p_user_id      => '2420302437616257',
  p_user_name    => 'MAGYAR',
  p_first_name   => '',
  p_last_name    => '',
  p_description  => '',
  p_email_address=> 'm@m.com',
  p_web_password => '932C8851DFDF7EF17C6A0640257E7650',
  p_web_password_format => 'HEX_ENCODED_DIGEST_V2',
  p_group_ids                    => '2562400159671272:',
  p_developer_privs              => 'ADMIN:CREATE:DATA_LOADER:EDIT:HELP:MONITOR:SQL',
  p_default_schema               => 'MAGYAR',
  p_account_locked               => 'N',
  p_account_expiry               => to_date('201411211410','YYYYMMDDHH24MI'),
  p_failed_access_attempts       => 0,
  p_change_password_on_first_use => 'N',
  p_first_password_use_occurred  => 'Y',
  p_allow_app_building_yn        => 'Y',
  p_allow_sql_workshop_yn        => 'Y',
  p_allow_websheet_dev_yn        => 'Y',
  p_allow_team_development_yn    => 'Y',
  p_allow_access_to_schemas      => '');
end;
/
begin
wwv_flow_fnd_user_api.create_fnd_user (
  p_user_id      => '2561828772670036',
  p_user_name    => 'SCOTT',
  p_first_name   => 'scott',
  p_last_name    => 'tiger',
  p_description  => '',
  p_email_address=> 'scott@mail.com',
  p_web_password => '239181CBAFD95D875A0699EDA19F4A6C',
  p_web_password_format => 'HEX_ENCODED_DIGEST_V2',
  p_group_ids                    => '2562503276672164:',
  p_developer_privs              => 'CREATE:EDIT:HELP:MONITOR:SQL:MONITOR:DATA_LOADER',
  p_default_schema               => 'MAGYAR',
  p_account_locked               => 'N',
  p_account_expiry               => to_date('201411301714','YYYYMMDDHH24MI'),
  p_failed_access_attempts       => 0,
  p_change_password_on_first_use => 'N',
  p_first_password_use_occurred  => 'N',
  p_allow_app_building_yn        => 'Y',
  p_allow_sql_workshop_yn        => 'Y',
  p_allow_websheet_dev_yn        => 'Y',
  p_allow_team_development_yn    => 'Y',
  p_allow_access_to_schemas      => '');
end;
/
begin
wwv_flow_fnd_user_api.create_fnd_user (
  p_user_id      => '2398828054949327',
  p_user_name    => 'VEGFELHASZNALO',
  p_first_name   => '',
  p_last_name    => '',
  p_description  => '',
  p_email_address=> 'vfl@mail.com',
  p_web_password => 'B14A3215E96A489A7795342D3DE9177F',
  p_web_password_format => 'HEX_ENCODED_DIGEST_V2',
  p_group_ids                    => '2562605700672890:',
  p_developer_privs              => '',
  p_default_schema               => 'MAGYAR',
  p_account_locked               => 'N',
  p_account_expiry               => to_date('201411300000','YYYYMMDDHH24MI'),
  p_failed_access_attempts       => 0,
  p_change_password_on_first_use => 'N',
  p_first_password_use_occurred  => 'N',
  p_allow_app_building_yn        => 'N',
  p_allow_sql_workshop_yn        => 'N',
  p_allow_websheet_dev_yn        => 'N',
  p_allow_team_development_yn    => 'N',
  p_allow_access_to_schemas      => '');
end;
/
----------------
--Application Builder Preferences
--
----------------
--Click Count Logs
--
----------------
--csv data loading
--
----------------
--mail
--
----------------
--mail log
--
----------------
--app models
--
----------------
--password history
--
begin
  wwv_flow_api.create_password_history (
    p_id => 2398932669949331,
    p_user_id => 2398828054949327,
    p_password => '40F0EEAF2582C9A30472AD6C0A57361A');
end;
/
begin
  wwv_flow_api.create_password_history (
    p_id => 2420601852616325,
    p_user_id => 2420302437616257,
    p_password => 'EC7B00463691533514F8F2FBD00F59CF');
end;
/
begin
  wwv_flow_api.create_password_history (
    p_id => 2534418551629279,
    p_user_id => 2420302437616257,
    p_password => 'BB96CB60F11B1E3B8C7D85C68706AFEC');
end;
/
begin
  wwv_flow_api.create_password_history (
    p_id => 2561431286663755,
    p_user_id => 2561306608663664,
    p_password => '11A3899CB0899B0EA3ADDFE6C4CF2F73');
end;
/
begin
  wwv_flow_api.create_password_history (
    p_id => 2561917484670037,
    p_user_id => 2561828772670036,
    p_password => '4CE5FCB5F7EDC86584ACD26AEA1E8CD0');
end;
/
begin
  wwv_flow_api.create_password_history (
    p_id => 2398421904928659,
    p_user_id => 2561828772670036,
    p_password => '0B961D82EAC2A9C86F9528094AEAFBE2');
end;
/
----------------
--preferences
--
begin
  wwv_flow_api.create_preferences$ (
    p_id => 2561107381651412,
    p_user_id => 'MAGYAR',
    p_preference_name => 'FB_FLOW_ID',
    p_attribute_value => '112');
end;
/
begin
  wwv_flow_api.create_preferences$ (
    p_id => 2396527614542389,
    p_user_id => 'MAGYAR',
    p_preference_name => 'FSP102_P3_R9843587300051598_SORT',
    p_attribute_value => '');
end;
/
begin
  wwv_flow_api.create_preferences$ (
    p_id => 2349210935057210,
    p_user_id => 'MAGYAR',
    p_preference_name => 'FSP102_P8_R4802418409865973_SORT',
    p_attribute_value => 'fsp_sort_1_desc');
end;
/
begin
  wwv_flow_api.create_preferences$ (
    p_id => 2566832581021224,
    p_user_id => 'MAGYAR',
    p_preference_name => 'FSP102_P8_R4991236546450596_SORT',
    p_attribute_value => 'fsp_sort_1_desc');
end;
/
begin
  wwv_flow_api.create_preferences$ (
    p_id => 2567412673053346,
    p_user_id => 'MAGYAR',
    p_preference_name => 'FSP102_P9_R4993731153477869_SORT',
    p_attribute_value => '');
end;
/
begin
  wwv_flow_api.create_preferences$ (
    p_id => 2340629542005765,
    p_user_id => 'MAGYAR',
    p_preference_name => 'FSP112_P8_R7324057300444402_SORT',
    p_attribute_value => 'fsp_sort_1_desc');
end;
/
begin
  wwv_flow_api.create_preferences$ (
    p_id => 2402129504129524,
    p_user_id => 'MAGYAR',
    p_preference_name => 'FSP4000_P123_R155207503157382410_SORT',
    p_attribute_value => 'fsp_sort_3_desc');
end;
/
begin
  wwv_flow_api.create_preferences$ (
    p_id => 2352203578074028,
    p_user_id => 'MAGYAR',
    p_preference_name => 'FSP4000_P4200_R98042408475113688_SORT',
    p_attribute_value => 'fsp_sort_2_desc');
end;
/
begin
  wwv_flow_api.create_preferences$ (
    p_id => 2402413013134271,
    p_user_id => 'MAGYAR',
    p_preference_name => 'FSP4000_P582_R108017116347018440_SORT',
    p_attribute_value => 'fsp_sort_1_desc');
end;
/
begin
  wwv_flow_api.create_preferences$ (
    p_id => 2352304964074367,
    p_user_id => 'MAGYAR',
    p_preference_name => 'FSP4000_P706_R28719711014469983_SORT',
    p_attribute_value => 'fsp_sort_6_desc');
end;
/
begin
  wwv_flow_api.create_preferences$ (
    p_id => 2352406349074773,
    p_user_id => 'MAGYAR',
    p_preference_name => 'FSP4000_P7_R40282027968411412_SORT',
    p_attribute_value => 'fsp_sort_5_desc');
end;
/
begin
  wwv_flow_api.create_preferences$ (
    p_id => 2555610848645994,
    p_user_id => 'MAGYAR',
    p_preference_name => 'FSP4500_P1220_R11177418830226625_SORT',
    p_attribute_value => 'fsp_sort_8');
end;
/
begin
  wwv_flow_api.create_preferences$ (
    p_id => 2409621792420600,
    p_user_id => 'MAGYAR',
    p_preference_name => 'FSP4500_P1225_R164053306541529880_SORT',
    p_attribute_value => 'fsp_sort_1_desc');
end;
/
begin
  wwv_flow_api.create_preferences$ (
    p_id => 2534830448633692,
    p_user_id => 'MAGYAR',
    p_preference_name => 'FSP_IR_4000_P1500_W3519715528105919',
    p_attribute_value => '3521529006112497____3521529006112497');
end;
/
begin
  wwv_flow_api.create_preferences$ (
    p_id => 2401324997104876,
    p_user_id => 'MAGYAR',
    p_preference_name => 'FSP_IR_4000_P1800_W15698721914328105',
    p_attribute_value => '15700317824328377____');
end;
/
begin
  wwv_flow_api.create_preferences$ (
    p_id => 2561018924651267,
    p_user_id => 'MAGYAR',
    p_preference_name => 'FSP_IR_4000_P1_W3326806401130228',
    p_attribute_value => '3328003692130542____3328003692130542');
end;
/
begin
  wwv_flow_api.create_preferences$ (
    p_id => 2401126938103978,
    p_user_id => 'MAGYAR',
    p_preference_name => 'FSP_IR_4000_P4047_W184800502564237029',
    p_attribute_value => '184804717913266027____');
end;
/
begin
  wwv_flow_api.create_preferences$ (
    p_id => 2400929095102906,
    p_user_id => 'MAGYAR',
    p_preference_name => 'FSP_IR_4000_P405_W3852329031687921',
    p_attribute_value => '3853503855690337____');
end;
/
begin
  wwv_flow_api.create_preferences$ (
    p_id => 2563710139688671,
    p_user_id => 'MAGYAR',
    p_preference_name => 'FSP_IR_4000_P4070_W47949429235486335',
    p_attribute_value => '47951124794493113____47951124794493113');
end;
/
begin
  wwv_flow_api.create_preferences$ (
    p_id => 2399225718013365,
    p_user_id => 'MAGYAR',
    p_preference_name => 'FSP_IR_4000_P4100_W3727618522871356',
    p_attribute_value => '3728530690872449____');
end;
/
begin
  wwv_flow_api.create_preferences$ (
    p_id => 2401524134105300,
    p_user_id => 'MAGYAR',
    p_preference_name => 'FSP_IR_4000_P4910_W3738700462051133',
    p_attribute_value => '3741124531126093____');
end;
/
begin
  wwv_flow_api.create_preferences$ (
    p_id => 2401722625105949,
    p_user_id => 'MAGYAR',
    p_preference_name => 'FSP_IR_4000_P546_W30205316146531602',
    p_attribute_value => '30206031208532453____');
end;
/
begin
  wwv_flow_api.create_preferences$ (
    p_id => 2352624447075441,
    p_user_id => 'MAGYAR',
    p_preference_name => 'FSP_IR_4000_P547_W12110932631570416',
    p_attribute_value => '12131926001571445____');
end;
/
begin
  wwv_flow_api.create_preferences$ (
    p_id => 2402302772130319,
    p_user_id => 'MAGYAR',
    p_preference_name => 'FSP_IR_4000_P58_W193057228298179754',
    p_attribute_value => '193058123804179762____');
end;
/
begin
  wwv_flow_api.create_preferences$ (
    p_id => 2399617486062758,
    p_user_id => 'MAGYAR',
    p_preference_name => 'FSP_IR_4000_P714_W200451301656287640',
    p_attribute_value => '200452123851291895____');
end;
/
begin
  wwv_flow_api.create_preferences$ (
    p_id => 2401907097113156,
    p_user_id => 'MAGYAR',
    p_preference_name => 'FSP_IR_4000_P889_W253961723059367687',
    p_attribute_value => '253963809229374878____');
end;
/
begin
  wwv_flow_api.create_preferences$ (
    p_id => 2399930008063466,
    p_user_id => 'MAGYAR',
    p_preference_name => 'FSP_IR_4000_P8_W170055004572851800',
    p_attribute_value => '170055522720852028____');
end;
/
begin
  wwv_flow_api.create_preferences$ (
    p_id => 2562316837670323,
    p_user_id => 'MAGYAR',
    p_preference_name => 'FSP_IR_4350_P53_W34954404769221837',
    p_attribute_value => '34956410007247564____34956410007247564');
end;
/
begin
  wwv_flow_api.create_preferences$ (
    p_id => 2534600915632121,
    p_user_id => 'MAGYAR',
    p_preference_name => 'FSP_IR_4350_P55_W10236304983033455',
    p_attribute_value => '10238325656034902____REPORT');
end;
/
begin
  wwv_flow_api.create_preferences$ (
    p_id => 2538110823642749,
    p_user_id => 'MAGYAR',
    p_preference_name => 'FSP_IR_4500_P1004_W467833818073240350',
    p_attribute_value => '467836414517307027____467836414517307027');
end;
/
begin
  wwv_flow_api.create_preferences$ (
    p_id => 2560702196646758,
    p_user_id => 'MAGYAR',
    p_preference_name => 'FSP_IR_4500_P1220_W467846302875971481',
    p_attribute_value => '467848523688971977____467848523688971977');
end;
/
begin
  wwv_flow_api.create_preferences$ (
    p_id => 2560925475651126,
    p_user_id => 'MAGYAR',
    p_preference_name => 'PERSISTENT_ITEM_P1_DISPLAY_MODE',
    p_attribute_value => 'ICONS');
end;
/
begin
  wwv_flow_api.create_preferences$ (
    p_id => 2564031505718190,
    p_user_id => 'MAGYAR',
    p_preference_name => 'USE_TREE_ON_P4150',
    p_attribute_value => 'N');
end;
/
begin
  wwv_flow_api.create_preferences$ (
    p_id => 2396214324529085,
    p_user_id => 'SCOTT',
    p_preference_name => 'FSP102_P3_R9843587300051598_SORT',
    p_attribute_value => '');
end;
/
----------------
--service mods
--
----------------
--query builder
--
----------------
--sql scripts
--
----------------
--sql commands
--
begin
  wwv_flow_api.create_sw_sql_cmds (
    p_id => 2386128353544732
 ,p_command => 
'CREATE OR REPLACE LIBRARY atlag AS'||chr(10)||
'   ''C:\oraclexe\app\oracle\product\11.2.0\server\bin\atlag.dll'';'
    ,p_created_by => 'MAGYAR'
    ,p_created_on => to_date('201411222212','YYYYMMDDHH24MI')
    ,p_parsed_schema => 'MAGYAR');
end;
/
begin
  wwv_flow_api.create_sw_sql_cmds (
    p_id => 2386231816545778
 ,p_command => 
'create or replace function atlagolas'||chr(10)||
'(bemenet in varchar2)'||chr(10)||
'return binary_integer'||chr(10)||
'as external libary atlag'||chr(10)||
'name "atlag"'||chr(10)||
'Language C'||chr(10)||
'parameters(bemenet string);'
    ,p_created_by => 'MAGYAR'
    ,p_created_on => to_date('201411222212','YYYYMMDDHH24MI')
    ,p_parsed_schema => 'MAGYAR');
end;
/
begin
  wwv_flow_api.create_sw_sql_cmds (
    p_id => 2386300779546320
 ,p_command => 
'create or replace function atlagolas'||chr(10)||
'(bemenet in varchar2)'||chr(10)||
'return binary_integer'||chr(10)||
'as external library atlag'||chr(10)||
'name "atlag"'||chr(10)||
'Language C'||chr(10)||
'parameters(bemenet string);'
    ,p_created_by => 'MAGYAR'
    ,p_created_on => to_date('201411222212','YYYYMMDDHH24MI')
    ,p_parsed_schema => 'MAGYAR');
end;
/
begin
  wwv_flow_api.create_sw_sql_cmds (
    p_id => 2403822297307299
 ,p_command => 
'select * from felhasznalo;'
    ,p_created_by => 'MAGYAR'
    ,p_created_on => to_date('201411301817','YYYYMMDDHH24MI')
    ,p_parsed_schema => 'MAGYAR');
end;
/
begin
  wwv_flow_api.create_sw_sql_cmds (
    p_id => 2375417047125217
 ,p_command => 
'drop LIBRARY ApeldaLIB;'||chr(10)||
' '||chr(10)||
''||chr(10)||
''
    ,p_created_by => 'MAGYAR'
    ,p_created_on => to_date('201411222102','YYYYMMDDHH24MI')
    ,p_parsed_schema => 'MAGYAR');
end;
/
begin
  wwv_flow_api.create_sw_sql_cmds (
    p_id => 2375509213132343
 ,p_command => 
'CREATE OR REPLACE LIBRARY ApeldaLIB AS'||chr(10)||
'   ''c:\oraclexe\app\oracle\product\11.2.0\server\bin\atlag.dll'';'||chr(10)||
''
    ,p_created_by => 'MAGYAR'
    ,p_created_on => to_date('201411222103','YYYYMMDDHH24MI')
    ,p_parsed_schema => 'MAGYAR');
end;
/
begin
  wwv_flow_api.create_sw_sql_cmds (
    p_id => 2375624581146267
 ,p_command => 
'create or replace funciton atlagolas'||chr(10)||
'(bemenet in varchar2)'||chr(10)||
'return binary_integer'||chr(10)||
'as external libary atlag'||chr(10)||
'name "atlag"'||chr(10)||
'Language C'||chr(10)||
'parameters(bemenet string);'
    ,p_created_by => 'MAGYAR'
    ,p_created_on => to_date('201411222106','YYYYMMDDHH24MI')
    ,p_parsed_schema => 'MAGYAR');
end;
/
begin
  wwv_flow_api.create_sw_sql_cmds (
    p_id => 2375707051150681
 ,p_command => 
'create or replace function atlagolas'||chr(10)||
'(bemenet in varchar2)'||chr(10)||
'return binary_integer'||chr(10)||
'as external libary atlag'||chr(10)||
'name "atlag"'||chr(10)||
'Language C'||chr(10)||
'parameters(bemenet string);'
    ,p_created_by => 'MAGYAR'
    ,p_created_on => to_date('201411222106','YYYYMMDDHH24MI')
    ,p_parsed_schema => 'MAGYAR');
end;
/
begin
  wwv_flow_api.create_sw_sql_cmds (
    p_id => 2375824712155742
 ,p_command => 
'drop libary ApeldaLib;'
    ,p_created_by => 'MAGYAR'
    ,p_created_on => to_date('201411222107','YYYYMMDDHH24MI')
    ,p_parsed_schema => 'MAGYAR');
end;
/
begin
  wwv_flow_api.create_sw_sql_cmds (
    p_id => 2375926444156321
 ,p_command => 
'drop libary atlag;'
    ,p_created_by => 'MAGYAR'
    ,p_created_on => to_date('201411222107','YYYYMMDDHH24MI')
    ,p_parsed_schema => 'MAGYAR');
end;
/
begin
  wwv_flow_api.create_sw_sql_cmds (
    p_id => 2376013415161985
 ,p_command => 
'drop LIBRARY ApeldaLIB;'||chr(10)||
'   '||chr(10)||
''
    ,p_created_by => 'MAGYAR'
    ,p_created_on => to_date('201411222108','YYYYMMDDHH24MI')
    ,p_parsed_schema => 'MAGYAR');
end;
/
begin
  wwv_flow_api.create_sw_sql_cmds (
    p_id => 2376106620169458
 ,p_command => 
'CREATE OR REPLACE LIBRARY atlag AS'||chr(10)||
'   ''c:\oraclexe\app\oracle\product\11.2.0\server\bin\atalg.dll'';'||chr(10)||
''
    ,p_created_by => 'MAGYAR'
    ,p_created_on => to_date('201411222110','YYYYMMDDHH24MI')
    ,p_parsed_schema => 'MAGYAR');
end;
/
begin
  wwv_flow_api.create_sw_sql_cmds (
    p_id => 2376209044170179
 ,p_command => 
'create or replace function atlagolas'||chr(10)||
'(bemenet in varchar2)'||chr(10)||
'return binary_integer'||chr(10)||
'as external libary atlag'||chr(10)||
'name "atlag"'||chr(10)||
'Language C'||chr(10)||
'parameters(bemenet string);'||chr(10)||
''
    ,p_created_by => 'MAGYAR'
    ,p_created_on => to_date('201411222110','YYYYMMDDHH24MI')
    ,p_parsed_schema => 'MAGYAR');
end;
/
begin
  wwv_flow_api.create_sw_sql_cmds (
    p_id => 2376311468170915
 ,p_command => 
'create or replace function atlagolas'||chr(10)||
'(bemenet in varchar2)'||chr(10)||
'return binary_integer'||chr(10)||
'as external library atlag'||chr(10)||
'name "atlag"'||chr(10)||
'Language C'||chr(10)||
'parameters(bemenet string);'||chr(10)||
''
    ,p_created_by => 'MAGYAR'
    ,p_created_on => to_date('201411222110','YYYYMMDDHH24MI')
    ,p_parsed_schema => 'MAGYAR');
end;
/
begin
  wwv_flow_api.create_sw_sql_cmds (
    p_id => 2377316242266846
 ,p_command => 
'create or replace function atlagolas'||chr(10)||
'(bemenet in varchar2)'||chr(10)||
'return binrary_integer'||chr(10)||
'as external libary atlag'||chr(10)||
'name "atlag"'||chr(10)||
'Language C'||chr(10)||
'parameters(bemenet string);'
    ,p_created_by => 'MAGYAR'
    ,p_created_on => to_date('201411222126','YYYYMMDDHH24MI')
    ,p_parsed_schema => 'MAGYAR');
end;
/
begin
  wwv_flow_api.create_sw_sql_cmds (
    p_id => 2377419358267776
 ,p_command => 
'create or replace function atlagolas'||chr(10)||
'(bemenet in varchar2)'||chr(10)||
'return binary_integer'||chr(10)||
'as external library atlag'||chr(10)||
'name "atlag"'||chr(10)||
'Language C'||chr(10)||
'parameters(bemenet string);'
    ,p_created_by => 'MAGYAR'
    ,p_created_on => to_date('201411222126','YYYYMMDDHH24MI')
    ,p_parsed_schema => 'MAGYAR');
end;
/
begin
  wwv_flow_api.create_sw_sql_cmds (
    p_id => 2377532172271446
 ,p_command => 
'select atlagolas(''3:4'') from dual;'
    ,p_created_by => 'MAGYAR'
    ,p_created_on => to_date('201411222127','YYYYMMDDHH24MI')
    ,p_parsed_schema => 'MAGYAR');
end;
/
begin
  wwv_flow_api.create_sw_sql_cmds (
    p_id => 2377631956280865
 ,p_command => 
'CREATE OR REPLACE LIBRARY atlag AS'||chr(10)||
'   ''C:\oraclexe\app\oracle\product\11.2.0\server\bin\atlag.dll'';'
    ,p_created_by => 'MAGYAR'
    ,p_created_on => to_date('201411222128','YYYYMMDDHH24MI')
    ,p_parsed_schema => 'MAGYAR');
end;
/
begin
  wwv_flow_api.create_sw_sql_cmds (
    p_id => 2377708885283706
 ,p_command => 
'select atlagolas(''3:4'') from dual;'
    ,p_created_by => 'MAGYAR'
    ,p_created_on => to_date('201411222129','YYYYMMDDHH24MI')
    ,p_parsed_schema => 'MAGYAR');
end;
/
begin
  wwv_flow_api.create_sw_sql_cmds (
    p_id => 2381908417349793
 ,p_command => 
'create or replace function maxmarka'||chr(10)||
'(bemenet in varchar2)'||chr(10)||
'return string'||chr(10)||
'as external libary max'||chr(10)||
'name "Maxmarka"'||chr(10)||
'Language C'||chr(10)||
'parameters(bemenet string);'
    ,p_created_by => 'MAGYAR'
    ,p_created_on => to_date('201411222140','YYYYMMDDHH24MI')
    ,p_parsed_schema => 'MAGYAR');
end;
/
begin
  wwv_flow_api.create_sw_sql_cmds (
    p_id => 2382011880350753
 ,p_command => 
'create or replace function maxmarka'||chr(10)||
'(bemenet in varchar2)'||chr(10)||
'return string'||chr(10)||
'as external library max'||chr(10)||
'name "Maxmarka"'||chr(10)||
'Language C'||chr(10)||
'parameters(bemenet string);'
    ,p_created_by => 'MAGYAR'
    ,p_created_on => to_date('201411222140','YYYYMMDDHH24MI')
    ,p_parsed_schema => 'MAGYAR');
end;
/
begin
  wwv_flow_api.create_sw_sql_cmds (
    p_id => 2382119976362629
 ,p_command => 
'select maxmarka(''opel:opel:bmw'') from dual;'
    ,p_created_by => 'MAGYAR'
    ,p_created_on => to_date('201411222142','YYYYMMDDHH24MI')
    ,p_parsed_schema => 'MAGYAR');
end;
/
begin
  wwv_flow_api.create_sw_sql_cmds (
    p_id => 2382629551431585
 ,p_command => 
'select maxmarka(''1:1:1'') from dual;'
    ,p_created_by => 'MAGYAR'
    ,p_created_on => to_date('201411222153','YYYYMMDDHH24MI')
    ,p_parsed_schema => 'MAGYAR');
end;
/
begin
  wwv_flow_api.create_sw_sql_cmds (
    p_id => 2382702324433224
 ,p_command => 
'select atlagolas(''1:1:1'') from dual;'
    ,p_created_by => 'MAGYAR'
    ,p_created_on => to_date('201411222153','YYYYMMDDHH24MI')
    ,p_parsed_schema => 'MAGYAR');
end;
/
begin
  wwv_flow_api.create_sw_sql_cmds (
    p_id => 2382813536445874
 ,p_command => 
'CREATE OR REPLACE LIBRARY max AS'||chr(10)||
'   ''C:\oraclexe\app\oracle\product\11.2.0\server\bin\max.dll'';'
    ,p_created_by => 'MAGYAR'
    ,p_created_on => to_date('201411222156','YYYYMMDDHH24MI')
    ,p_parsed_schema => 'MAGYAR');
end;
/
begin
  wwv_flow_api.create_sw_sql_cmds (
    p_id => 2382919770447637
 ,p_command => 
'create or replace function maxmarka'||chr(10)||
'(bemenet in varchar2)'||chr(10)||
'return string'||chr(10)||
'as external library max'||chr(10)||
'name "max"'||chr(10)||
'Language C'||chr(10)||
'parameters(bemenet string);'
    ,p_created_by => 'MAGYAR'
    ,p_created_on => to_date('201411222156','YYYYMMDDHH24MI')
    ,p_parsed_schema => 'MAGYAR');
end;
/
begin
  wwv_flow_api.create_sw_sql_cmds (
    p_id => 2383027735449973
 ,p_command => 
'select maxmarka(''opel:opel:bmw'') from dual;'
    ,p_created_by => 'MAGYAR'
    ,p_created_on => to_date('201411222156','YYYYMMDDHH24MI')
    ,p_parsed_schema => 'MAGYAR');
end;
/
begin
  wwv_flow_api.create_sw_sql_cmds (
    p_id => 2383132237451279
 ,p_command => 
'select maxmarka(''opel:opel'') from dual;'
    ,p_created_by => 'MAGYAR'
    ,p_created_on => to_date('201411222157','YYYYMMDDHH24MI')
    ,p_parsed_schema => 'MAGYAR');
end;
/
begin
  wwv_flow_api.create_sw_sql_cmds (
    p_id => 2383207434453626
 ,p_command => 
'CREATE OR REPLACE LIBRARY max AS'||chr(10)||
'   ''C:\oraclexe\app\oracle\product\11.2.0\server\bin\max.dll'';'||chr(10)||
''
    ,p_created_by => 'MAGYAR'
    ,p_created_on => to_date('201411222157','YYYYMMDDHH24MI')
    ,p_parsed_schema => 'MAGYAR');
end;
/
begin
  wwv_flow_api.create_sw_sql_cmds (
    p_id => 2383314360455560
 ,p_command => 
'select maxmarka(''opel:opel:bmw'') from dual;'||chr(10)||
''
    ,p_created_by => 'MAGYAR'
    ,p_created_on => to_date('201411222157','YYYYMMDDHH24MI')
    ,p_parsed_schema => 'MAGYAR');
end;
/
begin
  wwv_flow_api.create_sw_sql_cmds (
    p_id => 2383430290460208
 ,p_command => 
'CREATE OR REPLACE LIBRARY max AS'||chr(10)||
'   ''C:\oraclexe\app\oracle\product\11.2.0\server\bin\maxmarka.dll'';'
    ,p_created_by => 'MAGYAR'
    ,p_created_on => to_date('201411222158','YYYYMMDDHH24MI')
    ,p_parsed_schema => 'MAGYAR');
end;
/
begin
  wwv_flow_api.create_sw_sql_cmds (
    p_id => 2383502024461461
 ,p_command => 
'select maxmarka(''opel:opel:bmw'') from dual;'
    ,p_created_by => 'MAGYAR'
    ,p_created_on => to_date('201411222158','YYYYMMDDHH24MI')
    ,p_parsed_schema => 'MAGYAR');
end;
/
begin
  wwv_flow_api.create_sw_sql_cmds (
    p_id => 2383609296463544
 ,p_command => 
'CREATE OR REPLACE LIBRARY atlag AS'||chr(10)||
'   ''C:\oraclexe\app\oracle\product\11.2.0\server\bin\atlag.dll'';'
    ,p_created_by => 'MAGYAR'
    ,p_created_on => to_date('201411222159','YYYYMMDDHH24MI')
    ,p_parsed_schema => 'MAGYAR');
end;
/
begin
  wwv_flow_api.create_sw_sql_cmds (
    p_id => 2383711028464090
 ,p_command => 
'select maxmarka(''opel:opel:bmw'') from dual;'
    ,p_created_by => 'MAGYAR'
    ,p_created_on => to_date('201411222159','YYYYMMDDHH24MI')
    ,p_parsed_schema => 'MAGYAR');
end;
/
begin
  wwv_flow_api.create_sw_sql_cmds (
    p_id => 2383819686466565
 ,p_command => 
'create or replace function maxmarka'||chr(10)||
'(bemenet in varchar2)'||chr(10)||
'return string'||chr(10)||
'as external library max'||chr(10)||
'name "max"'||chr(10)||
'Language C'||chr(10)||
'parameters(bemenet string);'
    ,p_created_by => 'MAGYAR'
    ,p_created_on => to_date('201411222159','YYYYMMDDHH24MI')
    ,p_parsed_schema => 'MAGYAR');
end;
/
begin
  wwv_flow_api.create_sw_sql_cmds (
    p_id => 2383921417467086
 ,p_command => 
'select maxmarka(''opel:opel:bmw'') from dual;'
    ,p_created_by => 'MAGYAR'
    ,p_created_on => to_date('201411222159','YYYYMMDDHH24MI')
    ,p_parsed_schema => 'MAGYAR');
end;
/
begin
  wwv_flow_api.create_sw_sql_cmds (
    p_id => 2384027304468767
 ,p_command => 
'CREATE OR REPLACE LIBRARY max AS'||chr(10)||
'   ''C:\oraclexe\app\oracle\product\11.2.0\server\bin\max.dll'';'
    ,p_created_by => 'MAGYAR'
    ,p_created_on => to_date('201411222159','YYYYMMDDHH24MI')
    ,p_parsed_schema => 'MAGYAR');
end;
/
begin
  wwv_flow_api.create_sw_sql_cmds (
    p_id => 2384129036469296
 ,p_command => 
'select maxmarka(''opel:opel:bmw'') from dual;'
    ,p_created_by => 'MAGYAR'
    ,p_created_on => to_date('201411222200','YYYYMMDDHH24MI')
    ,p_parsed_schema => 'MAGYAR');
end;
/
begin
  wwv_flow_api.create_sw_sql_cmds (
    p_id => 2385515146512544
 ,p_command => 
'create or replace function maxmarka'||chr(10)||
'(bemenet in varchar2)'||chr(10)||
'return string'||chr(10)||
'as external library max'||chr(10)||
'name "max"'||chr(10)||
'Language C'||chr(10)||
'parameters(bemenet string);'
    ,p_created_by => 'MAGYAR'
    ,p_created_on => to_date('201411222207','YYYYMMDDHH24MI')
    ,p_parsed_schema => 'MAGYAR');
end;
/
begin
  wwv_flow_api.create_sw_sql_cmds (
    p_id => 2385617570513258
 ,p_command => 
'select maxmarka(''opel:opel:bmw'') from dual;'
    ,p_created_by => 'MAGYAR'
    ,p_created_on => to_date('201411222207','YYYYMMDDHH24MI')
    ,p_parsed_schema => 'MAGYAR');
end;
/
begin
  wwv_flow_api.create_sw_sql_cmds (
    p_id => 2658526892685545
 ,p_command => 
'drop TABLE "USERS"'||chr(10)||
'/   '||chr(10)||
''
    ,p_created_by => 'MAGYAR'
    ,p_created_on => to_date('201412111240','YYYYMMDDHH24MI')
    ,p_parsed_schema => 'MAGYAR');
end;
/
begin
  wwv_flow_api.create_sw_sql_cmds (
    p_id => 2658630009686416
 ,p_command => 
'drop TABLE "KONCERT"'||chr(10)||
'/   '||chr(10)||
''
    ,p_created_by => 'MAGYAR'
    ,p_created_on => to_date('201412111240','YYYYMMDDHH24MI')
    ,p_parsed_schema => 'MAGYAR');
end;
/
begin
  wwv_flow_api.create_sw_sql_cmds (
    p_id => 2658702435687903
 ,p_command => 
'drop TABLE "KONCERTADATOK"'||chr(10)||
'/   '||chr(10)||
''
    ,p_created_by => 'MAGYAR'
    ,p_created_on => to_date('201412111240','YYYYMMDDHH24MI')
    ,p_parsed_schema => 'MAGYAR');
end;
/
begin
  wwv_flow_api.create_sw_sql_cmds (
    p_id => 2658805206688710
 ,p_command => 
'drop TABLE "EGYUTTES"'||chr(10)||
'/   '||chr(10)||
''
    ,p_created_by => 'MAGYAR'
    ,p_created_on => to_date('201412111240','YYYYMMDDHH24MI')
    ,p_parsed_schema => 'MAGYAR');
end;
/
begin
  wwv_flow_api.create_sw_sql_cmds (
    p_id => 2658907283689339
 ,p_command => 
'drop TABLE "ARAK"'||chr(10)||
'/   '||chr(10)||
''
    ,p_created_by => 'MAGYAR'
    ,p_created_on => to_date('201412111240','YYYYMMDDHH24MI')
    ,p_parsed_schema => 'MAGYAR');
end;
/
begin
  wwv_flow_api.create_sw_sql_cmds (
    p_id => 2659009015689835
 ,p_command => 
'drop TABLE "ARTIPUS"'||chr(10)||
'/   '||chr(10)||
''
    ,p_created_by => 'MAGYAR'
    ,p_created_on => to_date('201412111240','YYYYMMDDHH24MI')
    ,p_parsed_schema => 'MAGYAR');
end;
/
begin
  wwv_flow_api.create_sw_sql_cmds (
    p_id => 2659113171691068
 ,p_command => 
'drop TABLE "ARTIPUS"'||chr(10)||
'cascade constraints'||chr(10)||
'/   '||chr(10)||
''
    ,p_created_by => 'MAGYAR'
    ,p_created_on => to_date('201412111241','YYYYMMDDHH24MI')
    ,p_parsed_schema => 'MAGYAR');
end;
/
begin
  wwv_flow_api.create_sw_sql_cmds (
    p_id => 2659215941691865
 ,p_command => 
'drop TABLE "SZORAKOZOHELY"'||chr(10)||
'/   '||chr(10)||
''
    ,p_created_by => 'MAGYAR'
    ,p_created_on => to_date('201412111241','YYYYMMDDHH24MI')
    ,p_parsed_schema => 'MAGYAR');
end;
/
begin
  wwv_flow_api.create_sw_sql_cmds (
    p_id => 2375314492114966
 ,p_command => 
'CREATE OR REPLACE LIBRARY ApeldaLIB AS'||chr(10)||
'   ''c:\oraclexe\app\oracle\product\11.2.0\server\bin\atlag.dll'';'
    ,p_created_by => 'MAGYAR'
    ,p_created_on => to_date('201411222100','YYYYMMDDHH24MI')
    ,p_parsed_schema => 'MAGYAR');
end;
/
begin
  wwv_flow_api.create_sw_sql_cmds (
    p_id => 2377031217252304
 ,p_command => 
'select atlagolas(''10:20:30'') from dual;'
    ,p_created_by => 'MAGYAR'
    ,p_created_on => to_date('201411222123','YYYYMMDDHH24MI')
    ,p_parsed_schema => 'MAGYAR');
end;
/
begin
  wwv_flow_api.create_sw_sql_cmds (
    p_id => 2377126846260513
 ,p_command => 
'CREATE OR REPLACE LIBRARY ApeldaLIB AS'||chr(10)||
'   ''C:\oraclexe\app\oracle\product\11.2.0\server\bin\atlag.dll'';'||chr(10)||
''
    ,p_created_by => 'MAGYAR'
    ,p_created_on => to_date('201411222125','YYYYMMDDHH24MI')
    ,p_parsed_schema => 'MAGYAR');
end;
/
begin
  wwv_flow_api.create_sw_sql_cmds (
    p_id => 2377230309261460
 ,p_command => 
'CREATE OR REPLACE LIBRARY atlag AS'||chr(10)||
'   ''C:\oraclexe\app\oracle\product\11.2.0\server\bin\atlag.dll'';'||chr(10)||
''
    ,p_created_by => 'MAGYAR'
    ,p_created_on => to_date('201411222125','YYYYMMDDHH24MI')
    ,p_parsed_schema => 'MAGYAR');
end;
/
begin
  wwv_flow_api.create_sw_sql_cmds (
    p_id => 2377806245292368
 ,p_command => 
'select ar from gepjarmu'||chr(10)||
'where to_upper(statusz) = ''ELADVA'';'
    ,p_created_by => 'MAGYAR'
    ,p_created_on => to_date('201411222130','YYYYMMDDHH24MI')
    ,p_parsed_schema => 'MAGYAR');
end;
/
begin
  wwv_flow_api.create_sw_sql_cmds (
    p_id => 2377910055293513
 ,p_command => 
'select ar from gepjarmu'||chr(10)||
'where upper(statusz) = ''ELADVA'';'
    ,p_created_by => 'MAGYAR'
    ,p_created_on => to_date('201411222130','YYYYMMDDHH24MI')
    ,p_parsed_schema => 'MAGYAR');
end;
/
begin
  wwv_flow_api.create_sw_sql_cmds (
    p_id => 2381627202336288
 ,p_command => 
'drop libary atlag;'
    ,p_created_by => 'MAGYAR'
    ,p_created_on => to_date('201411222137','YYYYMMDDHH24MI')
    ,p_parsed_schema => 'MAGYAR');
end;
/
begin
  wwv_flow_api.create_sw_sql_cmds (
    p_id => 2381728587336674
 ,p_command => 
'drop library atlag;'
    ,p_created_by => 'MAGYAR'
    ,p_created_on => to_date('201411222137','YYYYMMDDHH24MI')
    ,p_parsed_schema => 'MAGYAR');
end;
/
begin
  wwv_flow_api.create_sw_sql_cmds (
    p_id => 2381810710341025
 ,p_command => 
'CREATE OR REPLACE LIBRARY max AS'||chr(10)||
'   ''C:\oraclexe\app\oracle\product\11.2.0\server\bin\max.dll'';'
    ,p_created_by => 'MAGYAR'
    ,p_created_on => to_date('201411222138','YYYYMMDDHH24MI')
    ,p_parsed_schema => 'MAGYAR');
end;
/
begin
  wwv_flow_api.create_sw_sql_cmds (
    p_id => 2382225002401881
 ,p_command => 
'select maxmarka(''opel:opel'') from dual;'
    ,p_created_by => 'MAGYAR'
    ,p_created_on => to_date('201411222148','YYYYMMDDHH24MI')
    ,p_parsed_schema => 'MAGYAR');
end;
/
begin
  wwv_flow_api.create_sw_sql_cmds (
    p_id => 2382330889403608
 ,p_command => 
'drop library max'
    ,p_created_by => 'MAGYAR'
    ,p_created_on => to_date('201411222149','YYYYMMDDHH24MI')
    ,p_parsed_schema => 'MAGYAR');
end;
/
begin
  wwv_flow_api.create_sw_sql_cmds (
    p_id => 2382412582426678
 ,p_command => 
'CREATE OR REPLACE LIBRARY atlag AS'||chr(10)||
'   ''C:\oraclexe\app\oracle\product\11.2.0\server\bin\atlag.dll'';'
    ,p_created_by => 'MAGYAR'
    ,p_created_on => to_date('201411222152','YYYYMMDDHH24MI')
    ,p_parsed_schema => 'MAGYAR');
end;
/
begin
  wwv_flow_api.create_sw_sql_cmds (
    p_id => 2382516391427793
 ,p_command => 
'create or replace function atlagolas'||chr(10)||
'(bemenet in varchar2)'||chr(10)||
'return binary_integer'||chr(10)||
'as external library atlag'||chr(10)||
'name "atlag"'||chr(10)||
'Language C'||chr(10)||
'parameters(bemenet string);'
    ,p_created_by => 'MAGYAR'
    ,p_created_on => to_date('201411222153','YYYYMMDDHH24MI')
    ,p_parsed_schema => 'MAGYAR');
end;
/
begin
  wwv_flow_api.create_sw_sql_cmds (
    p_id => 2384228474478611
 ,p_command => 
'create or replace function maxmarka'||chr(10)||
'(bemenet in varchar2)'||chr(10)||
'return string'||chr(10)||
'as external library max'||chr(10)||
'name "max"'||chr(10)||
'Language C'||chr(10)||
'parameters(bemenet string);'||chr(10)||
''||chr(10)||
'select maxmarka(''opel:opel:bmw'') from dual;'
    ,p_created_by => 'MAGYAR'
    ,p_created_on => to_date('201411222201','YYYYMMDDHH24MI')
    ,p_parsed_schema => 'MAGYAR');
end;
/
begin
  wwv_flow_api.create_sw_sql_cmds (
    p_id => 2384330898479243
 ,p_command => 
'create or replace function maxmarka'||chr(10)||
'(bemenet in varchar2)'||chr(10)||
'return string'||chr(10)||
'as external library max'||chr(10)||
'name "max"'||chr(10)||
'Language C'||chr(10)||
'parameters(bemenet string);'||chr(10)||
''
    ,p_created_by => 'MAGYAR'
    ,p_created_on => to_date('201411222201','YYYYMMDDHH24MI')
    ,p_parsed_schema => 'MAGYAR');
end;
/
begin
  wwv_flow_api.create_sw_sql_cmds (
    p_id => 2384431591479491
 ,p_command => 
'select maxmarka(''opel:opel:bmw'') from dual;'||chr(10)||
''
    ,p_created_by => 'MAGYAR'
    ,p_created_on => to_date('201411222201','YYYYMMDDHH24MI')
    ,p_parsed_schema => 'MAGYAR');
end;
/
begin
  wwv_flow_api.create_sw_sql_cmds (
    p_id => 2384504710481203
 ,p_command => 
'CREATE OR REPLACE LIBRARY max AS'||chr(10)||
'   ''C:\oraclexe\app\oracle\product\11.2.0\server\bin\max.dll'';'||chr(10)||
''
    ,p_created_by => 'MAGYAR'
    ,p_created_on => to_date('201411222201','YYYYMMDDHH24MI')
    ,p_parsed_schema => 'MAGYAR');
end;
/
begin
  wwv_flow_api.create_sw_sql_cmds (
    p_id => 2384607134481848
 ,p_command => 
'create or replace function maxmarka'||chr(10)||
'(bemenet in varchar2)'||chr(10)||
'return string'||chr(10)||
'as external library max'||chr(10)||
'name "max"'||chr(10)||
'Language C'||chr(10)||
'parameters(bemenet string);'||chr(10)||
''||chr(10)||
'select maxmarka(''opel:opel:bmw'') from dual;'
    ,p_created_by => 'MAGYAR'
    ,p_created_on => to_date('201411222202','YYYYMMDDHH24MI')
    ,p_parsed_schema => 'MAGYAR');
end;
/
begin
  wwv_flow_api.create_sw_sql_cmds (
    p_id => 2384708173482137
 ,p_command => 
'create or replace function maxmarka'||chr(10)||
'(bemenet in varchar2)'||chr(10)||
'return string'||chr(10)||
'as external library max'||chr(10)||
'name "max"'||chr(10)||
'Language C'||chr(10)||
'parameters(bemenet string);'||chr(10)||
''
    ,p_created_by => 'MAGYAR'
    ,p_created_on => to_date('201411222202','YYYYMMDDHH24MI')
    ,p_parsed_schema => 'MAGYAR');
end;
/
begin
  wwv_flow_api.create_sw_sql_cmds (
    p_id => 2384808520482328
 ,p_command => 
'select maxmarka(''opel:opel:bmw'') from dual;'||chr(10)||
''
    ,p_created_by => 'MAGYAR'
    ,p_created_on => to_date('201411222202','YYYYMMDDHH24MI')
    ,p_parsed_schema => 'MAGYAR');
end;
/
begin
  wwv_flow_api.create_sw_sql_cmds (
    p_id => 2384903802490357
 ,p_command => 
'CREATE OR REPLACE LIBRARY atlag AS'||chr(10)||
'   ''C:\oraclexe\app\oracle\product\11.2.0\server\bin\atlag.dll'';'
    ,p_created_by => 'MAGYAR'
    ,p_created_on => to_date('201411222203','YYYYMMDDHH24MI')
    ,p_parsed_schema => 'MAGYAR');
end;
/
begin
  wwv_flow_api.create_sw_sql_cmds (
    p_id => 2385006573491176
 ,p_command => 
'create or replace function atlagolas'||chr(10)||
'(bemenet in varchar2)'||chr(10)||
'return binary_integer'||chr(10)||
'as external library atlag'||chr(10)||
'name "atlag"'||chr(10)||
'Language C'||chr(10)||
'parameters(bemenet string);'
    ,p_created_by => 'MAGYAR'
    ,p_created_on => to_date('201411222203','YYYYMMDDHH24MI')
    ,p_parsed_schema => 'MAGYAR');
end;
/
begin
  wwv_flow_api.create_sw_sql_cmds (
    p_id => 2385117655494380
 ,p_command => 
'CREATE OR REPLACE LIBRARY max AS'||chr(10)||
'   ''C:\oraclexe\app\oracle\product\11.2.0\server\bin\max.dll'';'
    ,p_created_by => 'MAGYAR'
    ,p_created_on => to_date('201411222204','YYYYMMDDHH24MI')
    ,p_parsed_schema => 'MAGYAR');
end;
/
begin
  wwv_flow_api.create_sw_sql_cmds (
    p_id => 2385223542496066
 ,p_command => 
'create or replace function maxmarka'||chr(10)||
'(bemenet in varchar2)'||chr(10)||
'return string'||chr(10)||
'as external library max'||chr(10)||
'name "max"'||chr(10)||
'Language C'||chr(10)||
'parameters(bemenet string);'||chr(10)||
''
    ,p_created_by => 'MAGYAR'
    ,p_created_on => to_date('201411222204','YYYYMMDDHH24MI')
    ,p_parsed_schema => 'MAGYAR');
end;
/
begin
  wwv_flow_api.create_sw_sql_cmds (
    p_id => 2385326659496962
 ,p_command => 
'select maxmarka(''opel:opel:bmw'') from dual;'
    ,p_created_by => 'MAGYAR'
    ,p_created_on => to_date('201411222204','YYYYMMDDHH24MI')
    ,p_parsed_schema => 'MAGYAR');
end;
/
begin
  wwv_flow_api.create_sw_sql_cmds (
    p_id => 2385411683511587
 ,p_command => 
'CREATE OR REPLACE LIBRARY max AS'||chr(10)||
'   ''C:\oraclexe\app\oracle\product\11.2.0\server\bin\max.dll'';'
    ,p_created_by => 'MAGYAR'
    ,p_created_on => to_date('201411222207','YYYYMMDDHH24MI')
    ,p_parsed_schema => 'MAGYAR');
end;
/
----------------
--user access log
--
begin
  wwv_flow_api.create_user_access_log1$ (
    p_login_name => 'MAGYAR',
    p_auth_method => 'Application Express Authentication',
    p_app => 102,
    p_owner => 'MAGYAR',
    p_access_date => to_date('201411222049','YYYYMMDDHH24MI'),
    p_ip_address => '::1',
    p_remote_user => 'ANONYMOUS',
    p_auth_result => 0,
    p_custom_status_text => '');
end;
/
begin
  wwv_flow_api.create_user_access_log1$ (
    p_login_name => 'MAGYAR',
    p_auth_method => 'Application Express Authentication',
    p_app => 102,
    p_owner => 'MAGYAR',
    p_access_date => to_date('201411230851','YYYYMMDDHH24MI'),
    p_ip_address => '::1',
    p_remote_user => 'ANONYMOUS',
    p_auth_result => 4,
    p_custom_status_text => 'Invalid Login Credentials');
end;
/
begin
  wwv_flow_api.create_user_access_log1$ (
    p_login_name => 'MAGYAR',
    p_auth_method => 'Application Express Authentication',
    p_app => 102,
    p_owner => 'MAGYAR',
    p_access_date => to_date('201411230851','YYYYMMDDHH24MI'),
    p_ip_address => '::1',
    p_remote_user => 'ANONYMOUS',
    p_auth_result => 0,
    p_custom_status_text => '');
end;
/
begin
  wwv_flow_api.create_user_access_log1$ (
    p_login_name => 'MAGYAR',
    p_auth_method => 'Application Express Authentication',
    p_app => 102,
    p_owner => 'MAGYAR',
    p_access_date => to_date('201411301507','YYYYMMDDHH24MI'),
    p_ip_address => '::1',
    p_remote_user => 'ANONYMOUS',
    p_auth_result => 0,
    p_custom_status_text => '');
end;
/
begin
  wwv_flow_api.create_user_access_log1$ (
    p_login_name => 'SCOTT',
    p_auth_method => 'Application Express Authentication',
    p_app => 102,
    p_owner => 'MAGYAR',
    p_access_date => to_date('201411301601','YYYYMMDDHH24MI'),
    p_ip_address => '::1',
    p_remote_user => 'ANONYMOUS',
    p_auth_result => 0,
    p_custom_status_text => '');
end;
/
begin
  wwv_flow_api.create_user_access_log1$ (
    p_login_name => 'MAGYAR',
    p_auth_method => 'Application Express Authentication',
    p_app => 102,
    p_owner => 'MAGYAR',
    p_access_date => to_date('201411301609','YYYYMMDDHH24MI'),
    p_ip_address => '::1',
    p_remote_user => 'ANONYMOUS',
    p_auth_result => 0,
    p_custom_status_text => '');
end;
/
begin
  wwv_flow_api.create_user_access_log1$ (
    p_login_name => 'SCOTT',
    p_auth_method => 'Application Express Authentication',
    p_app => 102,
    p_owner => 'MAGYAR',
    p_access_date => to_date('201411301629','YYYYMMDDHH24MI'),
    p_ip_address => '::1',
    p_remote_user => 'ANONYMOUS',
    p_auth_result => 0,
    p_custom_status_text => '');
end;
/
begin
  wwv_flow_api.create_user_access_log1$ (
    p_login_name => 'MAGYAR',
    p_auth_method => 'Application Express Authentication',
    p_app => 102,
    p_owner => 'MAGYAR',
    p_access_date => to_date('201411301629','YYYYMMDDHH24MI'),
    p_ip_address => '::1',
    p_remote_user => 'ANONYMOUS',
    p_auth_result => 4,
    p_custom_status_text => 'Invalid Login Credentials');
end;
/
begin
  wwv_flow_api.create_user_access_log1$ (
    p_login_name => 'MAGYAR',
    p_auth_method => 'Application Express Authentication',
    p_app => 102,
    p_owner => 'MAGYAR',
    p_access_date => to_date('201411301629','YYYYMMDDHH24MI'),
    p_ip_address => '::1',
    p_remote_user => 'ANONYMOUS',
    p_auth_result => 4,
    p_custom_status_text => 'Invalid Login Credentials');
end;
/
begin
  wwv_flow_api.create_user_access_log1$ (
    p_login_name => 'MAGYAR',
    p_auth_method => 'Application Express Authentication',
    p_app => 102,
    p_owner => 'MAGYAR',
    p_access_date => to_date('201411301630','YYYYMMDDHH24MI'),
    p_ip_address => '::1',
    p_remote_user => 'ANONYMOUS',
    p_auth_result => 0,
    p_custom_status_text => '');
end;
/
begin
  wwv_flow_api.create_user_access_log1$ (
    p_login_name => 'VEGFELHASZNALO',
    p_auth_method => 'Application Express Authentication',
    p_app => 102,
    p_owner => 'MAGYAR',
    p_access_date => to_date('201411301718','YYYYMMDDHH24MI'),
    p_ip_address => '::1',
    p_remote_user => 'ANONYMOUS',
    p_auth_result => 0,
    p_custom_status_text => '');
end;
/
begin
  wwv_flow_api.create_user_access_log1$ (
    p_login_name => 'VEGFELHASZNALO',
    p_auth_method => 'Application Express Authentication',
    p_app => 102,
    p_owner => 'MAGYAR',
    p_access_date => to_date('201411301802','YYYYMMDDHH24MI'),
    p_ip_address => '::1',
    p_remote_user => 'ANONYMOUS',
    p_auth_result => 0,
    p_custom_status_text => '');
end;
/
begin
  wwv_flow_api.create_user_access_log1$ (
    p_login_name => 'MAGYAR',
    p_auth_method => 'Application Express Authentication',
    p_app => 102,
    p_owner => 'MAGYAR',
    p_access_date => to_date('201411301804','YYYYMMDDHH24MI'),
    p_ip_address => '::1',
    p_remote_user => 'ANONYMOUS',
    p_auth_result => 0,
    p_custom_status_text => '');
end;
/
begin
  wwv_flow_api.create_user_access_log1$ (
    p_login_name => 'MAGYAR',
    p_auth_method => 'Application Express Authentication',
    p_app => 102,
    p_owner => 'MAGYAR',
    p_access_date => to_date('201411301915','YYYYMMDDHH24MI'),
    p_ip_address => '::1',
    p_remote_user => 'ANONYMOUS',
    p_auth_result => 0,
    p_custom_status_text => '');
end;
/
begin
  wwv_flow_api.create_user_access_log1$ (
    p_login_name => 'MAGYAR',
    p_auth_method => 'Application Express Authentication',
    p_app => 102,
    p_owner => 'MAGYAR',
    p_access_date => to_date('201411302016','YYYYMMDDHH24MI'),
    p_ip_address => '::1',
    p_remote_user => 'ANONYMOUS',
    p_auth_result => 0,
    p_custom_status_text => '');
end;
/
begin
  wwv_flow_api.create_user_access_log1$ (
    p_login_name => 'FEJLESZTO',
    p_auth_method => 'Application Express Authentication',
    p_app => 102,
    p_owner => 'MAGYAR',
    p_access_date => to_date('201411302016','YYYYMMDDHH24MI'),
    p_ip_address => '::1',
    p_remote_user => 'ANONYMOUS',
    p_auth_result => 0,
    p_custom_status_text => '');
end;
/
begin
  wwv_flow_api.create_user_access_log1$ (
    p_login_name => 'VEGFELHASZNALO',
    p_auth_method => 'Application Express Authentication',
    p_app => 102,
    p_owner => 'MAGYAR',
    p_access_date => to_date('201411302017','YYYYMMDDHH24MI'),
    p_ip_address => '::1',
    p_remote_user => 'ANONYMOUS',
    p_auth_result => 0,
    p_custom_status_text => '');
end;
/
begin
  wwv_flow_api.create_user_access_log1$ (
    p_login_name => 'MAGYAR',
    p_auth_method => 'Application Express Authentication',
    p_app => 102,
    p_owner => 'MAGYAR',
    p_access_date => to_date('201411302020','YYYYMMDDHH24MI'),
    p_ip_address => '::1',
    p_remote_user => 'ANONYMOUS',
    p_auth_result => 0,
    p_custom_status_text => '');
end;
/
begin
  wwv_flow_api.create_user_access_log1$ (
    p_login_name => 'FEJLESZTO',
    p_auth_method => 'Application Express Authentication',
    p_app => 102,
    p_owner => 'MAGYAR',
    p_access_date => to_date('201411302022','YYYYMMDDHH24MI'),
    p_ip_address => '::1',
    p_remote_user => 'ANONYMOUS',
    p_auth_result => 0,
    p_custom_status_text => '');
end;
/
begin
  wwv_flow_api.create_user_access_log1$ (
    p_login_name => 'VEGFELHASZNALO',
    p_auth_method => 'Application Express Authentication',
    p_app => 102,
    p_owner => 'MAGYAR',
    p_access_date => to_date('201411302024','YYYYMMDDHH24MI'),
    p_ip_address => '::1',
    p_remote_user => 'ANONYMOUS',
    p_auth_result => 0,
    p_custom_status_text => '');
end;
/
begin
  wwv_flow_api.create_user_access_log1$ (
    p_login_name => 'MAGYAR',
    p_auth_method => 'Application Express Authentication',
    p_app => 102,
    p_owner => 'MAGYAR',
    p_access_date => to_date('201411302120','YYYYMMDDHH24MI'),
    p_ip_address => '::1',
    p_remote_user => 'ANONYMOUS',
    p_auth_result => 0,
    p_custom_status_text => '');
end;
/
begin
  wwv_flow_api.create_user_access_log1$ (
    p_login_name => 'MAGYAR',
    p_auth_method => 'Application Express Authentication',
    p_app => 112,
    p_owner => 'MAGYAR',
    p_access_date => to_date('201411222042','YYYYMMDDHH24MI'),
    p_ip_address => '::1',
    p_remote_user => 'ANONYMOUS',
    p_auth_result => 4,
    p_custom_status_text => 'Invalid Login Credentials');
end;
/
begin
  wwv_flow_api.create_user_access_log1$ (
    p_login_name => 'MAGYAR',
    p_auth_method => 'Application Express Authentication',
    p_app => 112,
    p_owner => 'MAGYAR',
    p_access_date => to_date('201411222042','YYYYMMDDHH24MI'),
    p_ip_address => '::1',
    p_remote_user => 'ANONYMOUS',
    p_auth_result => 0,
    p_custom_status_text => '');
end;
/
begin
  wwv_flow_api.create_user_access_log1$ (
    p_login_name => 'MAGYAR',
    p_auth_method => 'Internal Authentication',
    p_app => 4500,
    p_owner => 'APEX_040200',
    p_access_date => to_date('201411222039','YYYYMMDDHH24MI'),
    p_ip_address => '::1',
    p_remote_user => 'ANONYMOUS',
    p_auth_result => 0,
    p_custom_status_text => '');
end;
/
begin
  wwv_flow_api.create_user_access_log1$ (
    p_login_name => 'MAGYAR',
    p_auth_method => 'Internal Authentication',
    p_app => 4500,
    p_owner => 'APEX_040200',
    p_access_date => to_date('201411230849','YYYYMMDDHH24MI'),
    p_ip_address => '::1',
    p_remote_user => 'ANONYMOUS',
    p_auth_result => 4,
    p_custom_status_text => 'Invalid Login Credentials');
end;
/
begin
  wwv_flow_api.create_user_access_log1$ (
    p_login_name => 'MAGYAR',
    p_auth_method => 'Internal Authentication',
    p_app => 4500,
    p_owner => 'APEX_040200',
    p_access_date => to_date('201411230850','YYYYMMDDHH24MI'),
    p_ip_address => '::1',
    p_remote_user => 'ANONYMOUS',
    p_auth_result => 0,
    p_custom_status_text => '');
end;
/
begin
  wwv_flow_api.create_user_access_log1$ (
    p_login_name => 'MAGYAR',
    p_auth_method => 'Internal Authentication',
    p_app => 4500,
    p_owner => 'APEX_040200',
    p_access_date => to_date('201411301502','YYYYMMDDHH24MI'),
    p_ip_address => '::1',
    p_remote_user => 'ANONYMOUS',
    p_auth_result => 0,
    p_custom_status_text => '');
end;
/
begin
  wwv_flow_api.create_user_access_log1$ (
    p_login_name => 'MAGYAR',
    p_auth_method => 'Internal Authentication',
    p_app => 4500,
    p_owner => 'APEX_040200',
    p_access_date => to_date('201411301959','YYYYMMDDHH24MI'),
    p_ip_address => '::1',
    p_remote_user => 'ANONYMOUS',
    p_auth_result => 0,
    p_custom_status_text => '');
end;
/
begin
  wwv_flow_api.create_user_access_log2$ (
    p_login_name => 'I0M2HA',
    p_auth_method => 'Application Express Authentication',
    p_app => 102,
    p_owner => 'MAGYAR',
    p_access_date => to_date('201412111243','YYYYMMDDHH24MI'),
    p_ip_address => '::1',
    p_remote_user => 'ANONYMOUS',
    p_auth_result => 1,
    p_custom_status_text => 'Invalid Login Credentials');
end;
/
begin
  wwv_flow_api.create_user_access_log2$ (
    p_login_name => 'MAGYAR',
    p_auth_method => 'Application Express Authentication',
    p_app => 102,
    p_owner => 'MAGYAR',
    p_access_date => to_date('201412111244','YYYYMMDDHH24MI'),
    p_ip_address => '::1',
    p_remote_user => 'ANONYMOUS',
    p_auth_result => 0,
    p_custom_status_text => '');
end;
/
begin
  wwv_flow_api.create_user_access_log2$ (
    p_login_name => 'MAGYAR',
    p_auth_method => 'Internal Authentication',
    p_app => 4500,
    p_owner => 'APEX_040200',
    p_access_date => to_date('201412111234','YYYYMMDDHH24MI'),
    p_ip_address => '::1',
    p_remote_user => 'ANONYMOUS',
    p_auth_result => 4,
    p_custom_status_text => 'Invalid Login Credentials');
end;
/
begin
  wwv_flow_api.create_user_access_log2$ (
    p_login_name => 'MAGYAR',
    p_auth_method => 'Internal Authentication',
    p_app => 4500,
    p_owner => 'APEX_040200',
    p_access_date => to_date('201412111234','YYYYMMDDHH24MI'),
    p_ip_address => '::1',
    p_remote_user => 'ANONYMOUS',
    p_auth_result => 0,
    p_custom_status_text => '');
end;
/
 
prompt ...RESTful Services
 
 
begin
 
wwv_flow_api.remove_restful_service (
  p_id => 4752817396598893 + wwv_flow_api.g_id_offset
 ,p_name => 'oracle.example.hr'
  );
 
null;
 
end;
/

prompt  ...restful service
--
--application/restful_services/oracle_example_hr
 
begin
 
wwv_flow_api.create_restful_module (
  p_id => 4752817396598893 + wwv_flow_api.g_id_offset
 ,p_name => 'oracle.example.hr'
 ,p_uri_prefix => 'hr/'
 ,p_parsing_schema => 'MAGYAR'
 ,p_items_per_page => 10
 ,p_status => 'PUBLISHED'
  );
 
wwv_flow_api.create_restful_template (
  p_id => 4754228252598902 + wwv_flow_api.g_id_offset
 ,p_module_id => 4752817396598893 + wwv_flow_api.g_id_offset
 ,p_uri_template => 'empinfo/'
 ,p_priority => 0
 ,p_etag_type => 'HASH'
  );
 
wwv_flow_api.create_restful_handler (
  p_id => 4754340029598902 + wwv_flow_api.g_id_offset
 ,p_template_id => 4754228252598902 + wwv_flow_api.g_id_offset
 ,p_source_type => 'QUERY'
 ,p_format => 'CSV'
 ,p_method => 'GET'
 ,p_require_https => 'NO'
 ,p_source => 
'select * from emp'
  );
 
wwv_flow_api.create_restful_template (
  p_id => 4752928032598895 + wwv_flow_api.g_id_offset
 ,p_module_id => 4752817396598893 + wwv_flow_api.g_id_offset
 ,p_uri_template => 'employees/'
 ,p_priority => 0
 ,p_etag_type => 'HASH'
  );
 
wwv_flow_api.create_restful_handler (
  p_id => 4753042068598896 + wwv_flow_api.g_id_offset
 ,p_template_id => 4752928032598895 + wwv_flow_api.g_id_offset
 ,p_source_type => 'QUERY'
 ,p_format => 'DEFAULT'
 ,p_method => 'GET'
 ,p_items_per_page => 7
 ,p_require_https => 'NO'
 ,p_source => 
'select empno "$uri", empno, ename'||unistr('\000a')||
'  from ('||unistr('\000a')||
'       select emp.*'||unistr('\000a')||
'            , row_number() over (order by empno) rn'||unistr('\000a')||
'         from emp'||unistr('\000a')||
'       ) tmp'||unistr('\000a')||
' where rn between :row_offset and :row_count '
  );
 
wwv_flow_api.create_restful_template (
  p_id => 4753126555598897 + wwv_flow_api.g_id_offset
 ,p_module_id => 4752817396598893 + wwv_flow_api.g_id_offset
 ,p_uri_template => 'employees/{id}'
 ,p_priority => 0
 ,p_etag_type => 'HASH'
  );
 
wwv_flow_api.create_restful_handler (
  p_id => 4753238357598898 + wwv_flow_api.g_id_offset
 ,p_template_id => 4753126555598897 + wwv_flow_api.g_id_offset
 ,p_source_type => 'QUERY_1_ROW'
 ,p_format => 'DEFAULT'
 ,p_method => 'GET'
 ,p_require_https => 'NO'
 ,p_source => 
'select * from emp'||unistr('\000a')||
' where empno = :id'
  );
 
wwv_flow_api.create_restful_param (
  p_id => 4753327091598899 + wwv_flow_api.g_id_offset
 ,p_handler_id => 4753238357598898 + wwv_flow_api.g_id_offset
 ,p_name => 'ID'
 ,p_bind_variable_name => 'ID'
 ,p_source_type => 'HEADER'
 ,p_access_method => 'IN'
 ,p_param_type => 'STRING'
  );
 
wwv_flow_api.create_restful_template (
  p_id => 4753432762598899 + wwv_flow_api.g_id_offset
 ,p_module_id => 4752817396598893 + wwv_flow_api.g_id_offset
 ,p_uri_template => 'employeesfeed/'
 ,p_priority => 0
 ,p_etag_type => 'HASH'
  );
 
wwv_flow_api.create_restful_handler (
  p_id => 4753523560598900 + wwv_flow_api.g_id_offset
 ,p_template_id => 4753432762598899 + wwv_flow_api.g_id_offset
 ,p_source_type => 'FEED'
 ,p_format => 'DEFAULT'
 ,p_method => 'GET'
 ,p_items_per_page => 25
 ,p_require_https => 'NO'
 ,p_source => 
'select empno, ename from emp order by deptno, ename'
  );
 
wwv_flow_api.create_restful_template (
  p_id => 4753634698598900 + wwv_flow_api.g_id_offset
 ,p_module_id => 4752817396598893 + wwv_flow_api.g_id_offset
 ,p_uri_template => 'employeesfeed/{id}'
 ,p_priority => 0
 ,p_etag_type => 'HASH'
  );
 
wwv_flow_api.create_restful_handler (
  p_id => 4753738746598901 + wwv_flow_api.g_id_offset
 ,p_template_id => 4753634698598900 + wwv_flow_api.g_id_offset
 ,p_source_type => 'QUERY'
 ,p_format => 'CSV'
 ,p_method => 'GET'
 ,p_require_https => 'NO'
 ,p_source => 
'select * from emp where empno = :id'
  );
 
wwv_flow_api.create_restful_template (
  p_id => 4753839713598901 + wwv_flow_api.g_id_offset
 ,p_module_id => 4752817396598893 + wwv_flow_api.g_id_offset
 ,p_uri_template => 'empsec/{empname}'
 ,p_priority => 0
 ,p_etag_type => 'HASH'
  );
 
wwv_flow_api.create_restful_handler (
  p_id => 4753922811598902 + wwv_flow_api.g_id_offset
 ,p_template_id => 4753839713598901 + wwv_flow_api.g_id_offset
 ,p_source_type => 'QUERY'
 ,p_format => 'DEFAULT'
 ,p_method => 'GET'
 ,p_require_https => 'NO'
 ,p_source => 
'select empno, ename, deptno, job from emp '||unistr('\000a')||
'	where ((select job from emp where ename = :empname) IN (''PRESIDENT'', ''MANAGER'')) '||unistr('\000a')||
'    OR  '||unistr('\000a')||
'    (deptno = (select deptno from emp where ename = :empname)) '||unistr('\000a')||
'order by deptno, ename'||unistr('\000a')||
''
  );
 
wwv_flow_api.create_restful_template (
  p_id => 4754022990598902 + wwv_flow_api.g_id_offset
 ,p_module_id => 4752817396598893 + wwv_flow_api.g_id_offset
 ,p_uri_template => 'empsecformat/{empname}'
 ,p_priority => 0
 ,p_etag_type => 'HASH'
  );
 
wwv_flow_api.create_restful_handler (
  p_id => 4754120778598902 + wwv_flow_api.g_id_offset
 ,p_template_id => 4754022990598902 + wwv_flow_api.g_id_offset
 ,p_source_type => 'PLSQL'
 ,p_format => 'DEFAULT'
 ,p_method => 'GET'
 ,p_require_https => 'NO'
 ,p_source => 
'DECLARE'||unistr('\000a')||
'  prevdeptno   number;'||unistr('\000a')||
'  deptloc      varchar2(30);'||unistr('\000a')||
'  deptname     varchar2(30);'||unistr('\000a')||
'  CURSOR getemps IS select * from emp '||unistr('\000a')||
'                     where ((select job from emp where ename = :empname)  IN (''PRESIDENT'', ''MANAGER'')) '||unistr('\000a')||
'                        or deptno = (select deptno from emp where ename = :empname) '||unistr('\000a')||
'                     order by deptno, ename;'||unistr('\000a')||
'BEGIN'||unistr('\000a')||
'  sys.htp.htmlopen;'||unistr('\000a')||
'  sys.htp.he'||
'adopen;'||unistr('\000a')||
'  sys.htp.title(''Departments'');'||unistr('\000a')||
'  sys.htp.headclose;'||unistr('\000a')||
'  sys.htp.bodyopen;'||unistr('\000a')||
' '||unistr('\000a')||
'  for emprecs in getemps'||unistr('\000a')||
'  loop'||unistr('\000a')||
''||unistr('\000a')||
'      if emprecs.deptno != prevdeptno or prevdeptno is null then'||unistr('\000a')||
'          select dname, loc into deptname, deptloc '||unistr('\000a')||
'            from dept where deptno = (select deptno from emp where ename = emprecs.ename);'||unistr('\000a')||
'          if prevdeptno is not null then'||unistr('\000a')||
'              sys.htp.print(''</ul>'''||
');'||unistr('\000a')||
'          end if;'||unistr('\000a')||
'          sys.htp.print(''Department '' || deptname || '' located in '' || deptloc || ''<p/>'');'||unistr('\000a')||
'          sys.htp.print(''<ul>'');'||unistr('\000a')||
'      end if;'||unistr('\000a')||
''||unistr('\000a')||
'      sys.htp.print(''<li>'' || emprecs.ename || '', '' || emprecs.job || '', '' || emprecs.sal || ''</li>'');'||unistr('\000a')||
''||unistr('\000a')||
'      prevdeptno := emprecs.deptno;'||unistr('\000a')||
''||unistr('\000a')||
'  end loop;'||unistr('\000a')||
'  sys.htp.print(''</ul>'');'||unistr('\000a')||
'  sys.htp.bodyclose;'||unistr('\000a')||
'  sys.htp.htmlclose;'||unistr('\000a')||
'END;'||unistr('\000a')||
''
  );
 
null;
 
end;
/

-- SET SCHEMA
 
begin
 
   wwv_flow_api.g_id_offset := 0;
   wwv_flow_hint.g_schema   := 'MAGYAR';
   wwv_flow_hint.check_schema_privs;
 
end;
/

 
--------------------------------------------------------------------
prompt  SCHEMA MAGYAR - User Interface Defaults, Table Defaults
--
-- Import using sqlplus as the Oracle user: APEX_040200
-- Exported 13:50 Thursday December 11, 2014 by: MAGYAR
--
 
begin
 
wwv_flow_hint.remove_hint_priv(wwv_flow_hint.g_schema,'FELHASZNALO');
wwv_flow_hint.create_table_hint_priv(
  p_table_id => 2744424632859519 + wwv_flow_api.g_id_offset,
  p_schema => wwv_flow_hint.g_schema,
  p_table_name  => 'FELHASZNALO',
  p_report_region_title => 'Felhasznalo',
  p_form_region_title => 'Felhasznalo');
 
end;
/

 
begin
 
wwv_flow_hint.create_column_hint_priv(
  p_label => 'Email',
  p_display_seq_form => 4,
  p_display_in_form => 'Y',
  p_display_as_form => 'NATIVE_TEXT_FIELD',
  p_form_attribute_01 => 'N',
  p_form_attribute_02 => 'N',
  p_form_attribute_03 => 'N',
  p_form_attribute_04 => 'TEXT',
  p_display_as_tab_form => 'TEXT',
  p_display_seq_report => 4,
  p_display_in_report => 'Y',
  p_display_as_report => 'WITHOUT_MODIFICATION',
  p_aggregate_by => 'N',
  p_required => 'N',
  p_alignment => 'L',
  p_display_width => 60,
  p_max_width => 30,
  p_height => 1,
  p_group_by => 'N',
  p_searchable => 'Y',
  p_column_id => 2744811554859574 + wwv_flow_api.g_id_offset,
  p_table_id => 2744424632859519 + wwv_flow_api.g_id_offset,
  p_column_name => 'EMAIL');
 
end;
/

 
begin
 
wwv_flow_hint.create_column_hint_priv(
  p_label => 'Fcim',
  p_display_seq_form => 2,
  p_display_in_form => 'Y',
  p_display_as_form => 'NATIVE_TEXT_FIELD',
  p_form_attribute_01 => 'N',
  p_form_attribute_02 => 'N',
  p_form_attribute_03 => 'N',
  p_form_attribute_04 => 'TEXT',
  p_display_as_tab_form => 'TEXT',
  p_display_seq_report => 2,
  p_display_in_report => 'Y',
  p_display_as_report => 'WITHOUT_MODIFICATION',
  p_aggregate_by => 'N',
  p_required => 'Y',
  p_alignment => 'L',
  p_display_width => 60,
  p_max_width => 30,
  p_height => 1,
  p_group_by => 'N',
  p_searchable => 'Y',
  p_column_id => 2744604478859571 + wwv_flow_api.g_id_offset,
  p_table_id => 2744424632859519 + wwv_flow_api.g_id_offset,
  p_column_name => 'FCIM');
 
end;
/

 
begin
 
wwv_flow_hint.create_column_hint_priv(
  p_label => 'Fnev',
  p_display_seq_form => 1,
  p_display_in_form => 'Y',
  p_display_as_form => 'NATIVE_TEXT_FIELD',
  p_form_attribute_01 => 'N',
  p_form_attribute_02 => 'N',
  p_form_attribute_03 => 'N',
  p_form_attribute_04 => 'TEXT',
  p_display_as_tab_form => 'TEXT',
  p_display_seq_report => 1,
  p_display_in_report => 'Y',
  p_display_as_report => 'WITHOUT_MODIFICATION',
  p_aggregate_by => 'N',
  p_required => 'Y',
  p_alignment => 'L',
  p_display_width => 60,
  p_max_width => 30,
  p_height => 1,
  p_group_by => 'N',
  p_searchable => 'Y',
  p_column_id => 2744516484859570 + wwv_flow_api.g_id_offset,
  p_table_id => 2744424632859519 + wwv_flow_api.g_id_offset,
  p_column_name => 'FNEV');
 
end;
/

 
begin
 
wwv_flow_hint.create_column_hint_priv(
  p_label => 'Telefon',
  p_display_seq_form => 3,
  p_display_in_form => 'Y',
  p_display_as_form => 'NATIVE_NUMBER_FIELD',
  p_form_attribute_03 => 'right',
  p_display_as_tab_form => 'TEXT',
  p_display_seq_report => 3,
  p_display_in_report => 'Y',
  p_display_as_report => 'WITHOUT_MODIFICATION',
  p_aggregate_by => 'N',
  p_required => 'N',
  p_alignment => 'R',
  p_display_width => 30,
  p_max_width => 22,
  p_height => 1,
  p_group_by => 'N',
  p_searchable => 'N',
  p_column_id => 2744718861859573 + wwv_flow_api.g_id_offset,
  p_table_id => 2744424632859519 + wwv_flow_api.g_id_offset,
  p_column_name => 'TELEFON');
 
end;
/

 
--------------------------------------------------------------------
prompt User Interface Defaults, Attribute Dictionary
--
-- Exported 13:50 Thursday December 11, 2014 by: MAGYAR
--
-- SHOW EXPORTING WORKSPACE
 
begin
 
   wwv_flow_api.g_id_offset := 0;
   wwv_flow_hint.g_exp_workspace := 'HASZNALTAUTO';
 
end;
/

commit;
begin
execute immediate 'begin sys.dbms_session.set_nls( param => ''NLS_NUMERIC_CHARACTERS'', value => '''''''' || replace(wwv_flow_api.g_nls_numeric_chars,'''''''','''''''''''') || ''''''''); end;';
end;
/
set verify on
set feedback on
set define on
prompt  ...done
