drop table Eladas;
drop table Gepjarmu;
drop table Felhasznalo;


create table Felhasznalo
    (
        fnev VARCHAR2(30) not null,
        fcim VARCHAR2(30) not null,
        telefon number,
        email VARCHAR2(30),
        Constraint primary_key PRIMARY KEY(fnev,fcim)
    );
create table Gepjarmu
    (
        rendszam VARCHAR2(6) not null,
        alvazszam VARCHAR2(18) not null,
        fdatum date not null,
        marka VARCHAR2(30),
        modell VARCHAR2(30),
        ar number(10) not null,
        evjarat number(4),
        km number(10),
        szin VARCHAR2(10),
        allapot VARCHAR2(20),
        cm3 number(10),
        statusz VARCHAR2(20),
        fnev VARCHAR2(30) not null,
        fcim VARCHAR2(30) not null,
        Constraint primary_key_gep PRIMARY KEY(rendszam,alvazszam,fdatum),
        Constraint foreign_key_gep FOREIGN KEY(fnev,fcim) References Felhasznalo(fnev,fcim) ON DELETE CASCADE        
    );
create table Eladas
    (
        edatum date not null,
        vnev VARCHAR2(30) not null,
        vcim VARCHAR2(30) not null,
        rendszam VARCHAR2(6) not null,
        alvazszam VARCHAR2(18) not null,
        fdatum date not null,
        Constraint primary_key_el PRIMARY KEY(edatum,vnev,vcim),
        Constraint foreign_key_el FOREIGN KEY(rendszam,alvazszam,fdatum) References Gepjarmu(rendszam,alvazszam,fdatum) ON DELETE CASCADE 
    );
